## class osgParticle::Placer

> An abstract base class for implementing particle placers.

## Inheritance:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
virtual void place(Particle* P) const = 0
  Place a particle.
inline Placer()
inline Placer(const Placer &copy, const osg::CopyOp &copyop)

### Protected Methods

~Placer()
Placer& operator=(const Placer &)

## Documentation

> An abstract base class for implementing particle placers. A placer is an object which take a particle as input, and places it somewhere by setting its position vector. Placer objects are used by the `ModularEmitter` class as part of the particle emission process.

`virtual const char* libraryName() const`

`virtual const char* className() const`

`virtual bool isSameKindAs(const osg::Object* obj) const`

`virtual void place(Particle* P) const = 0`
  Place a particle. Must be implemented in descendant classes.

`~Placer()`

`Placer& operator=(const Placer &)`

`inline Placer()`

`inline Placer(const Placer &copy, const osg::CopyOp &copyop)`

Direct child classes:
  SegmentPlacer
  MultiSegmentPlacer
  CenteredPlacer

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.